<?php

namespace Justin\ThreadPreview\XF\Entity;

use XF\Mvc\Entity\Entity;
#use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread
{
	public function getAttachments()
	{
		$attachments = $this->finder('XF:Attachment')
							->where([
								'content_type' => 'post',
								'content_id' => $this->post_ids
							])
							->where('Data.width', '>', '0')
							->order('attach_date')
							->fetch();

		return $attachments;
	}
	
}

